#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QWindow>
#include <QDebug>

int main(int argc, char *argv[])
{
	QGuiApplication app(argc, argv);
    QString t =  QLatin1String(QT_VERSION_STR) + QLatin1Char(' ') + QGuiApplication::platformName();
    qDebug() << t;

    QQmlApplicationEngine engine;
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));
    QWindow *w = qobject_cast<QWindow *>(engine.rootObjects().value(0, nullptr));
    if (!w)
        return -1;
    w->setTitle(t);

    app.exec();
}
